<script src="assets/js/moment.js"></script>
<script>
function disable_upload()
{
  var mode=document.getElementById('mode').value;
  if(mode=='inci')
  {
    var mum = prompt("Please Enter 1 for Mumbai/Mumbai Suburb and 2 for any other.");

    document.getElementById('upload10').disabled=true;
    document.getElementById('travel_bill_amt').readOnly=true;
    var distance=parseInt(document.getElementById('distance').value);
    if(distance<=10)
    {
      if(mum==1)
      {
          document.getElementById('travel_bill_amt').value=150;
      }
      else {
        document.getElementById('travel_bill_amt').value=75;
      }
    }
    else if(distance<=25)
    {
      if(mum==1)
      {
          document.getElementById('travel_bill_amt').value=200;
      }
      else {
        document.getElementById('travel_bill_amt').value=100;
      }
    }
    else if(distance>25)
    {
      if(mum==1)
      {
          document.getElementById('travel_bill_amt').value=250;
      }
      else
      {
        document.getElementById('travel_bill_amt').value=125;
      }
    }
  }
  else {
    document.getElementById('upload10').disabled=false;
    document.getElementById('travel_bill_amt').readOnly=false;
    document.getElementById('travel_bill_amt').value='';
    document.getElementById('total').value='';
  }
}
function get_total()
{
    var pract_remuneration=parseInt(document.getElementById('pract_remuneration').value);
    if(Number.isNaN(pract_remuneration))
    {
      alert("Invalid Practical Remuneration Amount...");
      return false;
    }
    var travel=parseInt(document.getElementById('travel_bill_amt').value);
    if(Number.isNaN(travel))
    {
      alert("Invalid Travel Bill Amount...");
      return false;
    }
    var da=parseInt(document.getElementById('da').value);
    if(Number.isNaN(da))
    {
      alert("Invalid DA Amount...");
      return false;
    }
    document.getElementById('total').value=(travel+da+pract_remuneration);
}

function get_da()
{
  var days=document.getElementById('no_of_days').value;
  var source_district=document.getElementById('source_district').value;
  var dest_district=document.getElementById('dest_district').value;
  var mode=document.getElementById('mode').value;

  /*if(mode=='inci')
  {
    document.getElementById('da').value='0';
    return false;
  }*/
  mode = encodeURIComponent(window.btoa(mode));

  days=encodeURIComponent(window.btoa(days));
  source_district=encodeURIComponent(window.btoa(source_district));
  dest_district=encodeURIComponent(window.btoa(dest_district));

  var str="?days="+days+"&source="+source_district+"&dest="+dest_district+"&mode="+mode;

  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function()
  {
      if (this.readyState == 4 && this.status == 200)
      {
          document.getElementById('da').value=this.responseText;
      }
  };
  xhttp.open("GET", "institute/ajax/get_pract_da_ajax.php"+str, true);
  xhttp.send();
}

function get_days()
{
  var start=moment(document.getElementById('pract_date').value);
  var end=moment(document.getElementById('pract_date1').value);
  var d=end.diff(start, 'days')+1;
  document.getElementById('no_of_days').value=d;
}

function open_ds_external(inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
  inst_id         =   encodeURIComponent(window.btoa(inst_id));
  paper_code      =   encodeURIComponent(window.btoa(paper_code));
  course_code     =   encodeURIComponent(window.btoa(course_code));
  year_code       =   encodeURIComponent(window.btoa(year_code));
  master_code     =   encodeURIComponent(window.btoa(master_code));
  t1              =   encodeURIComponent(window.btoa(t1));
  t2              =   encodeURIComponent(window.btoa(t2));
  var str='?inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;

  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function()
  {
      if (this.readyState == 4 && this.status == 200)
      {
          document.getElementById("ex_ds_modal").innerHTML = this.responseText
          $("form").on('submit',(function upload_img1(e)
            {
              e.preventDefault();
              $.ajax(
              {
                    url: "institute/upload2.php",
                    type: "POST",
                    data:  new FormData(this),
                    contentType: false,
                    cache: false,
                    processData:false,
                    beforeSend: function()
                    {
                      $('#msgg').html('<center><img src="assets/img/preloader.png" height=100 width=100></img></center>');
                    },
                    success: function(data)
                    {
                        $("#msgg").html(data);
                    },
                    error: function(){}
              });
            }));
      }
      else
      {
          document.getElementById("ex_ds_modal").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
      }
  };
  xhttp.open("GET", "institute/ajax/ds_external_ajax2.php"+str, true);
  xhttp.send();
}

function open_ds_internal(inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
    inst_id         =   encodeURIComponent(window.btoa(inst_id));
    paper_code      =   encodeURIComponent(window.btoa(paper_code));
    course_code     =   encodeURIComponent(window.btoa(course_code));
    year_code       =   encodeURIComponent(window.btoa(year_code));
    master_code     =   encodeURIComponent(window.btoa(master_code));
    t1              =   encodeURIComponent(window.btoa(t1));
    t2              =   encodeURIComponent(window.btoa(t2));
    var str='?inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function()
    {
        if (this.readyState == 4 && this.status == 200)
        {
            document.getElementById("in_ds_modal").innerHTML = this.responseText
            $("form").on('submit',(function upload_img1(e)
          		{
          			e.preventDefault();
          			$.ajax(
          			{
          						url: "institute/upload1.php",
          						type: "POST",
          						data:  new FormData(this),
          						contentType: false,
          						cache: false,
          						processData:false,
          						beforeSend: function()
          						{
                        $('#msgg').html('<center><img src="assets/img/preloader.png" height=100 width=100></img></center>');
          						},
          						success: function(data)
          						{
                          $("#msgg").html(data);
          						},
          						error: function(){}
          			});
          		}));
        }
        else
  	    {
  	    	  document.getElementById("in_ds_modal").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
  	    }
    };
    xhttp.open("GET", "institute/ajax/ds_internal_ajax.php"+str, true);
    xhttp.send();
}

function save_duty_certificate(t1,t2)
{
    var inst_id=document.getElementById('inst_id').value;
    if(inst_id.trim()=='' || inst_id.trim()=='0')
    {
      alert('Please Enter Institute Id...');
      return false;
    }
    var paper_code=document.getElementById('paper_code').value;
    if(paper_code.trim()=='' || paper_code.trim()=='0')
    {
      alert('Please Enter Paper Code...');
      return false;
    }
    var course_code=document.getElementById('course_code').value;
    if(course_code.trim()=='')
    {
      alert('Please Enter Course Code...');
      return false;
    }
    var fac_name=document.getElementById('fac_name').value;
    if(fac_name.trim()=='')
    {
      alert('Please Enter Faculty Name...');
      return false;
    }
    var pract_date=document.getElementById('pract_date').value;
    if(pract_date.trim()=='')
    {
      alert('Please Enter Start of Practical Date...');
      return false;
    }
    var pract_date1=document.getElementById('pract_date1').value;
    if(pract_date1.trim()=='')
    {
      alert('Please Enter End of Practical Date...');
      return false;
    }
    var final_year=document.getElementById('final_year').value;
    if(final_year.trim()=='')
    {
      alert('Please Select whether this course is final year or not...');
      return false;
    }
    var tot_stud=document.getElementById('tot_stud').value;
    if(tot_stud.trim()=='')
    {
      alert('Please Enter Total number of students in this practical/oral exam...');
      return false;
    }
    var absent_stud=document.getElementById('absent_stud').value;
    if(absent_stud.trim()=='')
    {
      alert('Please Enter Total Absent students in this practical/oral exam...');
      return false;
    }
    var present_stud=document.getElementById('present_stud').value;
    if(present_stud.trim()=='')
    {
      alert('Please Enter Total number of Present students in this practical/oral exam...');
      return false;
    }
    var pract_remuneration=document.getElementById('pract_remuneration').value;
    if(pract_remuneration.trim()=='')
    {
      alert('Please Enter total practical remuneration of this practical...');
      return false;
    }

    var fac_id=document.getElementById('fac_id').value;
    var sem=document.getElementById('sem').value;
    var scheme=document.getElementById('scheme').value;

    /*var url='http://exam.msbte.ac.in/appointment_billing/institute/duty_certificate/'+course_code+'_'+inst_id+'_'+paper_code+'_'+sem+'_'+scheme+'_'+t1+'_'+t2+'.pdf';

    if(!UrlExists(url))
    {
      alert('Please Upload Duty Certificate in PDF format...');
      return false;
    }*/
    fac_id=encodeURIComponent(window.btoa(document.getElementById('fac_id').value));
    sem=encodeURIComponent(window.btoa(sem));
    scheme=encodeURIComponent(window.btoa(document.getElementById('scheme').value));

    inst_id         =   encodeURIComponent(window.btoa(inst_id));
    paper_code         =   encodeURIComponent(window.btoa(paper_code));
    course_code         =   encodeURIComponent(window.btoa(course_code));
    fac_name         =   encodeURIComponent(window.btoa(fac_name));
    pract_date         =   encodeURIComponent(window.btoa(pract_date));
    pract_date1         =   encodeURIComponent(window.btoa(pract_date1));
    final_year         =   encodeURIComponent(window.btoa(final_year));
    tot_stud         =   encodeURIComponent(window.btoa(tot_stud));
    absent_stud         =   encodeURIComponent(window.btoa(absent_stud));
    present_stud         =   encodeURIComponent(window.btoa(present_stud));
    pract_remuneration         =   encodeURIComponent(window.btoa(pract_remuneration));
    t1        =   encodeURIComponent(window.btoa(t1));
    t2        =   encodeURIComponent(window.btoa(t2));

    var str="?inst_id="+inst_id+"&paper_code="+paper_code+"&course_code="+course_code+"&pract_date="+pract_date+"&pract_date1="+pract_date1+"&final_year="+final_year+"&tot_stud="+tot_stud+"&absent_stud="+absent_stud+"&present_stud="+present_stud+"&pract_remuneration="+pract_remuneration+"&t1="+t1+"&t2="+t2+"&fac_id="+fac_id+"&sem="+sem+"&scheme="+scheme;

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function()
    {
      if (this.readyState == 4 && this.status == 200)
      {
          document.getElementById('msgg').innerHTML=this.responseText;
          var index=this.responseText.indexOf("successfully.");

    			if(index>0)
    			{
              setTimeout(function()
                {
                    location.reload();
                }, 5000);
          }
      }
      else {
          document.getElementById("msgg").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
      }
    };
    xhttp.open("GET", "institute/ajax/save_duty_certificate_internal_ajax.php"+str, true);
    xhttp.send();
}


function save_duty_certificate1(t1,t2)
{
    var inst_id=document.getElementById('inst_id').value;
	 
    if(inst_id.trim()=='' || inst_id.trim()=='0')
    {
      alert('Please Enter Institute Id...');
      return false;
    }
    var paper_code=document.getElementById('paper_code').value;
    if(paper_code.trim()=='' || paper_code.trim()=='0')
    {
      alert('Please Enter Paper Code...');
      return false;
    }
    var course_code=document.getElementById('course_code').value;
    if(course_code.trim()=='')
    {
      alert('Please Enter Course Code...');
      return false;
    }
    var fac_name=document.getElementById('fac_name').value;
    if(fac_name.trim()=='')
    {
      alert('Please Enter Faculty Name...');
      return false;
    }
    var pract_date=document.getElementById('pract_date').value;
    if(pract_date.trim()=='')
    {
      alert('Please Enter Start of Practical Date...');
      return false;
    }
    var pract_date1=document.getElementById('pract_date1').value;
    if(pract_date1.trim()=='')
    {
      alert('Please Enter End of Practical Date...');
      return false;
    }
    var final_year=document.getElementById('final_year').value;
    if(final_year.trim()=='')
    {
      alert('Please Select whether this course is final year or not...');
      return false;
    }
    var tot_stud=document.getElementById('tot_stud').value;
    if(tot_stud.trim()=='')
    {
      alert('Please Enter Total number of students in this practical/oral exam...');
      return false;
    }
    var absent_stud=document.getElementById('absent_stud').value;
    if(absent_stud.trim()=='')
    {
      alert('Please Enter Total Absent students in this practical/oral exam...');
      return false;
    }
    var present_stud=document.getElementById('present_stud').value;
    if(present_stud.trim()=='')
    {
      alert('Please Enter Total number of Present students in this practical/oral exam...');
      return false;
    }
    var pract_remuneration=document.getElementById('pract_remuneration').value;
    if(pract_remuneration.trim()=='')
    {
      alert('Please Enter total practical remuneration of this practical...');
      return false;
    }
    var fac_id=document.getElementById('fac_id').value;
    var sem=document.getElementById('sem').value;
    var scheme=document.getElementById('scheme').value;

    /*var url='http://exam.msbte.ac.in/appointment_billing/institute/duty_cert_external/'+course_code+'_'+inst_id+'_'+paper_code+'_'+sem+'_'+scheme+'_'+t1+'_'+t2+'.pdf';

    if(!UrlExists(url))
    {
      alert('Please Upload Duty Certificate in PDF format...');
      return false;
    }*/


    var source_inst=document.getElementById('source_inst').value;

    if(source_inst.trim()=='')
    {
      alert('Please Enter Source Institute Name ...');
      return false;
    }
    var dest_inst=document.getElementById('dest_institute').value;
    if(dest_inst.trim()=='')
    {
      alert('Please Enter Destination Institute Name ...');
      return false;
    }
    var distance=document.getElementById('distance').value;
    if(distance.trim()=='' || distance.trim()=='0')
    {
      alert('Please Enter Distance between two institutes...');
      return false;
    }
    var mode=document.getElementById('mode').value;
    if(mode.trim()=='')
    {
      alert('Please Select Mode of Travelling...');
      return false;
    }
    var no_of_days=document.getElementById('no_of_days').value;
    if(no_of_days.trim()=='' || no_of_days.trim()=='0')
    {
      alert('Please Enter Distance between two institutes...');
      return false;
    }
    if(mode!='inci')
    {
        var url1='http://exam.msbte.ac.in/appointment_billing/institute/tickets/'+course_code+'_'+inst_id+'_'+paper_code+'_'+sem+'_'+scheme+'_'+t1+'_'+t2+'.pdf';

        if(!UrlExists(url1))
        {
          alert('Please Upload Travel Ticket in PDF format...');
          return false;
        }
    }
    var travel_bill_amt=document.getElementById('travel_bill_amt').value;
    if(travel_bill_amt.trim()=='')
    {
      alert('Please Enter Travelling Charges...');
      return false;
    }
    var da=document.getElementById('da').value;
    if(da.trim()=='')
    {
      alert('Please Enter DA...');
      return false;
    }
    var total=document.getElementById('total').value;
    if(total.trim()=='')
    {
      alert('Please Enter Total Amount...');
      return false;
    }

    var source_district         =   document.getElementById('source_district').value;
    var dest_district         =   document.getElementById('dest_district').value;


    fac_id=encodeURIComponent(window.btoa(document.getElementById('fac_id').value));
    sem=encodeURIComponent(window.btoa(sem));
    //alert(sem);
    scheme=encodeURIComponent(window.btoa(document.getElementById('scheme').value));

    inst_id         =   encodeURIComponent(window.btoa(inst_id));
    paper_code         =   encodeURIComponent(window.btoa(paper_code));
    course_code         =   encodeURIComponent(window.btoa(course_code));
    fac_name         =   encodeURIComponent(window.btoa(fac_name));
    pract_date         =   encodeURIComponent(window.btoa(pract_date));
    pract_date1         =   encodeURIComponent(window.btoa(pract_date1));
    final_year         =   encodeURIComponent(window.btoa(final_year));
    tot_stud         =   encodeURIComponent(window.btoa(tot_stud));
    absent_stud         =   encodeURIComponent(window.btoa(absent_stud));
    present_stud         =   encodeURIComponent(window.btoa(present_stud));
    pract_remuneration         =   encodeURIComponent(window.btoa(pract_remuneration));
    t1        =   encodeURIComponent(window.btoa(t1));
    t2        =   encodeURIComponent(window.btoa(t2));

    source_inst         =   encodeURIComponent(window.btoa(source_inst));
    dest_inst         =   encodeURIComponent(window.btoa(dest_inst));
    distance         =   encodeURIComponent(window.btoa(distance));
    mode         =   encodeURIComponent(window.btoa(mode));
    no_of_days         =   encodeURIComponent(window.btoa(no_of_days));
    travel_bill_amt         =   encodeURIComponent(window.btoa(travel_bill_amt));
    da         =   encodeURIComponent(window.btoa(da));
    total         =   encodeURIComponent(window.btoa(total));
    source_district         =   encodeURIComponent(window.btoa(source_district));
    dest_district         =   encodeURIComponent(window.btoa(dest_district));

    var str="?inst_id="+inst_id+"&paper_code="+paper_code+"&course_code="+course_code+"&pract_date="+pract_date+"&pract_date1="+pract_date1+"&final_year="+final_year+"&tot_stud="+tot_stud+"&absent_stud="+absent_stud+"&present_stud="+present_stud+"&pract_remuneration="+pract_remuneration+"&t1="+t1+"&t2="+t2+"&fac_id="+fac_id+"&sem="+sem+"&scheme="+scheme+"&source="+source_inst+"&dest="+dest_inst+"&distance="+distance+"&mode="+mode+"&days="+no_of_days+"&travel_bill_amt="+travel_bill_amt+"&da="+da+"&total="+total+"&source_district="+source_district+"&dest_district="+dest_district+"&sem="+sem;

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function()
    {
      if (this.readyState == 4 && this.status == 200)
      {
          document.getElementById('msgg').innerHTML=this.responseText;
          var index=this.responseText.indexOf("successfully.");
    			if(index>0)
    			{
              setTimeout(function()
                {
                    location.reload();
                }, 5000);
          }
      }
      else {
          document.getElementById("msgg").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
      }
    };
    xhttp.open("GET", "institute/ajax/save_duty_certificate_external_ajax.php"+str, true);
    xhttp.send();
}


function UrlExists(url)
{
    var http = new XMLHttpRequest();
    http.open('HEAD', url, false);
    http.send();
    return http.status!=404;
}

function get_present_students()
{
  var tot_stud=parseInt(document.getElementById('tot_stud').value);
  if(tot_stud=='0')
  {
    alert('Please Enter Total number of students in this practical/oral exam...');
    return false;
  }
  var absent_stud=parseInt(document.getElementById('absent_stud').value);
  document.getElementById('present_stud').value=(tot_stud-absent_stud);
}

function get_remuneration(paper_code)
{
  var final_year=document.getElementById('final_year').value;
  if(final_year.trim()=='')
  {
    alert('Please Select whether this course is final year or not...');
    return false;
  }
  var tot_stud=document.getElementById('tot_stud').value;
  if(tot_stud.trim()=='')
  {
    alert('Please Enter Total number of students in this practical/oral exam...');
    return false;
  }
  var absent_stud=document.getElementById('absent_stud').value;
  if(absent_stud.trim()=='')
  {
    alert('Please Enter Total Absent students in this practical/oral exam...');
    return false;
  }
  var present_stud=(parseInt(tot_stud)- parseInt(absent_stud));

  final_year         =   encodeURIComponent(window.btoa(final_year));
  tot_stud         =   encodeURIComponent(window.btoa(tot_stud));
  absent_stud         =   encodeURIComponent(window.btoa(absent_stud));
  present_stud         =   encodeURIComponent(window.btoa(present_stud));
  paper_code         =   encodeURIComponent(window.btoa(paper_code));

  var str="?final_year="+final_year+"&tot_stud="+tot_stud+"&absent_stud="+absent_stud+"&present_stud="+present_stud+"&paper_code="+paper_code
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function()
  {
    if (this.readyState == 4 && this.status == 200)
    {
        document.getElementById('pract_remuneration').value=this.responseText;
    }
    else {
        document.getElementById("pract_remuneration").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
    }
  };
  xhttp.open("GET", "institute/ajax/get_remuneration_ajax.php"+str, true);
  xhttp.send();
}

function up_ex(inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
  inst_id         =   encodeURIComponent(window.btoa(inst_id));
  paper_code      =   encodeURIComponent(window.btoa(paper_code));
  course_code     =   encodeURIComponent(window.btoa(course_code));
  year_code       =   encodeURIComponent(window.btoa(year_code));
  master_code     =   encodeURIComponent(window.btoa(master_code));
  t1              =   encodeURIComponent(window.btoa(t1));
  t2              =   encodeURIComponent(window.btoa(t2));
  var str='?inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;

  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
     document.getElementById("upload_ex_modal").innerHTML = this.responseText;

     $("form").on('submit',(function upload_img1(e)
       {
         e.preventDefault();
         $.ajax(
         {
               url: "institute/upload2.php",
               type: "POST",
               data:  new FormData(this),
               contentType: false,
               cache: false,
               processData:false,
               beforeSend: function()
               {
                 $('#upload_ex_msg').html('<center><img src="assets/img/preloader.png" height=100 width=100></img></center>');
               },
               success: function(data)
               {
                   $("#upload_ex_msg").html(data);
               },
               error: function(){}
         });
       }));

    }
    else {
        document.getElementById("upload_ex_modal").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
    }
  };
  xhttp.open("GET", "institute/ajax/up_ex_slip_ajax.php"+str, true);
  xhttp.send();
}
function print_external(url,inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
  inst_id         =   encodeURIComponent(window.btoa(inst_id));
  paper_code      =   encodeURIComponent(window.btoa(paper_code));
  course_code     =   encodeURIComponent(window.btoa(course_code));
  year_code       =   encodeURIComponent(window.btoa(year_code));
  master_code     =   encodeURIComponent(window.btoa(master_code));
  t1              =   encodeURIComponent(window.btoa(t1));
  t2              =   encodeURIComponent(window.btoa(t2));
  q               =   encodeURIComponent(window.btoa('print_external_source'));
  var str='?q='+q+'&inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;
  url=url+'abc1.php';
  var win = window.open(url+str, '_blank');
  win.focus();
}
function up_in(inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
  inst_id         =   encodeURIComponent(window.btoa(inst_id));
  paper_code      =   encodeURIComponent(window.btoa(paper_code));
  course_code     =   encodeURIComponent(window.btoa(course_code));
  year_code       =   encodeURIComponent(window.btoa(year_code));
  master_code     =   encodeURIComponent(window.btoa(master_code));
  t1              =   encodeURIComponent(window.btoa(t1));
  t2              =   encodeURIComponent(window.btoa(t2));
  var str='?inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;

  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
     document.getElementById("upload_in_modal").innerHTML = this.responseText;

     $("form").on('submit',(function upload_img1(e)
       {
         e.preventDefault();
         $.ajax(
         {
               url: "institute/upload1.php",
               type: "POST",
               data:  new FormData(this),
               contentType: false,
               cache: false,
               processData:false,
               beforeSend: function()
               {
                 $('#upload_in_msg').html('<center><img src="assets/img/preloader.png" height=100 width=100></img></center>');
               },
               success: function(data)
               {
                   $("#upload_in_msg").html(data);
               },
               error: function(){}
         });
       }));

    }
    else {
        document.getElementById("upload_in_modal").innerHTML = '<center><img src="assets/img/preloader.png" height=100 width=100></img></center>';
    }
  };
  xhttp.open("GET", "institute/ajax/up_in_slip_ajax.php"+str, true);
  xhttp.send();
}

function print_internal(url,inst_id,paper_code,course_code,year_code,master_code,t1,t2)
{
  inst_id         =   encodeURIComponent(window.btoa(inst_id));
  paper_code      =   encodeURIComponent(window.btoa(paper_code));
  course_code     =   encodeURIComponent(window.btoa(course_code));
  year_code       =   encodeURIComponent(window.btoa(year_code));
  master_code     =   encodeURIComponent(window.btoa(master_code));
  t1              =   encodeURIComponent(window.btoa(t1));
  t2              =   encodeURIComponent(window.btoa(t2));
  q               =   encodeURIComponent(window.btoa('print_internal_duty_slip'));
  var str='?q='+q+'&inst_id='+inst_id+'&paper_code='+paper_code+'&course_code='+course_code+'&year_code='+year_code+'&master_code='+master_code+"&t1="+t1+"&t2="+t2;
  url=url+'abc1.php';
  var win = window.open(url+str, '_blank');
  win.focus();
}


</script>
<?php
$uname=$_SESSION[uname];
$urole=$_SESSION[urole];
$appointment_table=PR_APPOINT_MASTER;
$duty_slip_internal_table=DUTY_SLIP_INTERNAL;
$duty_slip_external_table=DUTY_SLIP_EXTERNAL;
$query="select * from $appointment_table where inst_id_appoint='$uname'";
$result=mysql_query($query);
?><br>
<h3 class="panel-title">Duty Slip</h3><br><br>
<div class="table-responsive">
     	<table class="table table-bordered">
    			<thead>
    			  <tr bgcolor="aqua">
              <th><center>Inst Id</th>
              <th><center>Paper code</th>
              <th><center>Course code</th>
              <th><center>Sem</th>
              <th><center>Scheme</th>
              <th><center>Students Total</th>
              <th><center>Duty Slip External</th>
              <!-- <th><center>Duty Slip Internal</th> -->
            </tr>
          </thead>
          <tbody>
            <?php
              while($row=mysql_fetch_assoc($result))
              {
            ?>
            <tr>
              <td><center><?php echo $row[inst_id];?></td>
              <td><center><?php echo $row[paper_code];?></td>
              <td><center><?php echo $row[course_code];?></td>
              <td><center><?php echo $row[year_code];?></td>
              <td><center><?php echo $row[master_code];?></td>
              <td><center><?php echo $row[count];?></td>

              <td><center>
                <?php
                    $x="select total from $duty_slip_external_table where inst_id='$row[inst_id]' and course_code='$row[course_code]' and paper_code='$row[paper_code]' and  sem='$row[year_code]' and scheme='$row[master_code]' and thpr10='$row[thpr10]' and thpr20='$row[thpr20]' limit 1";
                    $y=mysql_query($x);
                    $rrr=mysql_fetch_assoc($y);
                    $rem=$rrr[total];
                    if($rem==0)
                    {
                 ?>
                <a href="javascript:void(0);" onclick="open_ds_external('<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');" data-toggle="modal" data-target="#modal_ex_ds">Fill</a></td>
                <?php
                    }
                    else {
                      ?>
                        <a href="javascript:void(0);" onclick="print_external('<?php echo PROJPATH;?>','<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');">Print</a><br>

                        <!--<a href="javascript:void(0);" onclick="up_ex('<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');" data-toggle="modal" data-target="#upload_ex">Upload</a>-->
                      <?php
                    }
               ?><!--
              <td><center>
                <?php
                    $x="select remun from $duty_slip_internal_table where inst_id='$row[inst_id]' and course_code='$row[course_code]' and paper_code='$row[paper_code]' and  sem='$row[year_code]' and scheme='$row[master_code]' and thpr10='$row[thpr10]' and thpr20='$row[thpr20]' limit 1";
                    $y=mysql_query($x);
                    $rrr=mysql_fetch_assoc($y);
                    $rem=$rrr[remun];
                    if($rem==0)
                    {
                 ?>
                <center><a href="javascript:void(0);" onclick="open_ds_internal('<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');" data-toggle="modal" data-target="#modal_in_ds">Fill</a>
                  <?php
                    }
                    else {
                  ?>
                    <a href="javascript:void(0);" onclick="print_internal('<?php echo PROJPATH;?>','<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');">Print</a><br>

                    <!--<a href="javascript:void(0);" onclick="up_in('<?php echo $row[inst_id];?>','<?php echo $row[paper_code];?>','<?php echo $row[course_code];?>','<?php echo $row[year_code];?>','<?php echo $row[master_code];?>','<?php echo $row[thpr10];?>','<?php echo $row[thpr20];?>');" data-toggle="modal" data-target="#upload_in">Upload</a> 
                  <?php
                    }
                  ?></center>
              </td> -->
            </tr>
            <?php
              }
             ?>
          </tbody>
      </table><br>
</div>
