<script>
$( document ).ready(function() {
    get_district();
});


//------------------------------------------------Functions for pagination---------------------------------------------------------------------------------------------------------
function base_url(segment)
{
   // get the segments
   pathArray = window.location.pathname.split( '/' );
   // find where the segment is located
   indexOfSegment = pathArray.indexOf(segment);
   // make base_url be the origin plus the path to the segment
   return window.location.origin + pathArray.slice(0,indexOfSegment).join('/') + '/';
}
function get_next(start,end,limit,factor)
{
	
	if((parseInt(start)+parseInt(end))<=parseInt(limit))
	{
    	start=parseInt(start)+parseInt(factor);
    	end=parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
	}
}

function get_last(start,end,limit,factor)
{
    	end=parseInt(factor);
		var divi;
		divi=parseInt(parseInt(limit)/parseInt(factor));
		if(!(parseInt(limit)% parseInt(factor)))
		{
			divi=divi-1;
		}
		start=parseInt(divi)*parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
}

function get_first(start,end,limit,factor)
{
    	end=parseInt(factor);
		start=0;
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
}

function get_prev(start,end,limit,factor)
{
	if(parseInt(start)>0)
	{
    	start=parseInt(start)-parseInt(factor);
    	end=parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
	}
	else
	{
		return false;
	}
}

function get_distance(id)
{
	var source; 
	var destination;
	if(id==1)
	{
		source = document.getElementById('source1').value;
		destination=document.getElementById('destination1').value;
	}
	else if(id==2)
	{
		source = document.getElementById('source2').value;
		destination=document.getElementById('destination2').value;
	}

	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() 
	{
	    if (this.readyState == 4 && this.status == 200) 
		{
	    	document.getElementById('distance5').innerHTML='';
	    	if(id==1)
	    	{
	    		document.getElementById('mydistance1').value=this.responseText;
	    	}
	    	else
	    	{
	    		document.getElementById('mydistance2').value=this.responseText;
	    	}
	    }
	 };
	 xhttp.open("GET", "region/ajax/get_distance_ajax.php?start="+encodeURIComponent(window.btoa(source))+"&destination="+encodeURIComponent(window.btoa(destination)), true);
	 xhttp.send();
}
//------------------------------------------------------------------------------End of pagination 

function get_scheme()
{
	var inst_id=document.getElementById('inst').value;
	var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_schem").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_scheme_list_ajax.php?inst_id="+encodeURIComponent(window.btoa(inst_id)), true);
	  	xhttp.send();
}
function get_inst_list()
{
		var region=document.getElementById('region').value;
		var district=document.getElementById('district').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_inst").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_inst_list_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district)), true);
	  	xhttp.send();
}

function get_district()
{
		var region=document.getElementById('region').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_district").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_district_ajax.php?region="+encodeURIComponent(window.btoa(region)), true);
	  	xhttp.send();
}

function get_fac_list()
{
	var region=document.getElementById('region').value;
	var district=document.getElementById('district').value;
	var inst_id=document.getElementById('inst').value;
	var scheme=document.getElementById('scheme').value;
	var paper_code=document.getElementById('paper_code').value;
	var same_district=document.getElementById('same_district').value;
	var xhttp = new XMLHttpRequest();
  	xhttp.onreadystatechange = function() 
  	{
	    if (this.readyState == 4 && this.status == 200) 
    	{
	     	document.getElementById("get_fac_listt").innerHTML = this.responseText;
	    }
  	};
  	xhttp.open("GET", "region/ajax/get_faculty_list_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme))+"&paper_code="+encodeURIComponent(window.btoa(paper_code))+"&same_dist="+encodeURIComponent(window.btoa(same_district)), true);
  	xhttp.send();
}

function get_fac_list1()
{
	var region=document.getElementById('region').value;
	var district=document.getElementById('district').value;
	var inst_id=document.getElementById('inst').value;
	var scheme=document.getElementById('scheme').value;
	var paper_code=document.getElementById('paper_code').value;
	var same_district=document.getElementById('same_district').value;
	var faculty_code=document.getElementById('faculty_code').value;
	var xhttp = new XMLHttpRequest();
  	xhttp.onreadystatechange = function() 
  	{
	    if (this.readyState == 4 && this.status == 200) 
    	{
	     	document.getElementById("get_fac_listtt").innerHTML = this.responseText;
	    }
  	};
  	xhttp.open("GET", "region/ajax/get_faculty_list_ajax1.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme))+"&paper_code="+encodeURIComponent(window.btoa(paper_code))+"&same_dist="+encodeURIComponent(window.btoa(same_district))+"&faculty_code="+encodeURIComponent(window.btoa(faculty_code)), true);
  	xhttp.send();
}

function get_paper_code()
{
		var region=document.getElementById('region').value;
		var district=document.getElementById('district').value;
		var inst_id=document.getElementById('inst').value;
		var scheme=document.getElementById('scheme').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_paper_details").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_paper_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme)), true);
	  	xhttp.send();
}
function clear_me()
{
	var url=base_url();
    url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'));
	location.assign(url);				
}
function get_count()
{
	var region=document.getElementById('region').value;
	var district=document.getElementById('district').value;
	var inst_id=document.getElementById('inst').value;
	var scheme=document.getElementById('scheme').value;
	var paper_code=document.getElementById('paper_code').value;

	var xhttp = new XMLHttpRequest();
  	xhttp.onreadystatechange = function() 
  	{
	    if (this.readyState == 4 && this.status == 200) 
    	{
	     	document.getElementById("show_cnt").innerHTML = this.responseText;
	    }
  	};
  	xhttp.open("GET", "region/ajax/get_stud_count_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme))+"&paper_code="+encodeURIComponent(window.btoa(paper_code)), true);
  	xhttp.send();
}
function appoint_faculty()
{
	var region=document.getElementById('region').value;
	if(region.trim()=='')
	{
		alert('Please Select Region...');
		document.getElementById('region').focus();
		return false;
	}
	var district=document.getElementById('district').value;
	if(district.trim()=='')
	{
		alert('Please Select District...');
		document.getElementById('district').focus();
		return false;
	}
	var inst_id=document.getElementById('inst').value;
	if(inst_id.trim()=='')
	{
		alert('Please Select Institute...');
		document.getElementById('inst').focus();
		return false;
	}
	var scheme=document.getElementById('scheme').value;
	if(scheme.trim()=='')
	{
		alert('Please Select Scheme...');
		document.getElementById('scheme').focus();
		return false;
	}
	var paper_code=document.getElementById('paper_code').value;
	if(paper_code.trim()=='')
	{
		alert('Please Select Paper Code...');
		document.getElementById('paper_code').focus();
		return false;
	}
	var same_district=document.getElementById('same_district').value;
	if(same_district.trim()=='')
	{
		alert('Please Select District Choice...');
		document.getElementById('same_district').focus();
		return false;
	}
	var faculty_code=document.getElementById('faculty_code').value;
	if(faculty_code.trim()=='')
	{
		alert('Please Select Faculty for Appointment...');
		document.getElementById('faculty_code').focus();
		return false;
	}

	var source1=document.getElementById('source1').value;
	if(source1.trim()=='')
	{
		alert('Please Enter Source');
		document.getElementById('source1').focus();
		return false;
	}
	var destination1=document.getElementById('destination1').value;
	if(destination1.trim()=='')
	{
		alert('Please Enter Destination...');
		document.getElementById('destination1').focus();
		return false;
	}
	var mydistance1=document.getElementById('mydistance1').value;
	if(mydistance1.trim()=='')
	{
		alert('Please Enter Distance between Source & Destination...');
		document.getElementById('mydistance1').focus();
		return false;
	}
	
	var cnt1=document.getElementById('cnt1').value;
	if(cnt1.trim()=='' || cnt1.trim()=='0')
	{
		alert('Please Enter Number of Students for Faculty 1...');
		document.getElementById('cnt1').focus();
		return false;
	}
	var cnt2=document.getElementById('cnt2').value;
	var faculty_code1='';
	var source2='';
	var destination2='';
	var mydistance2='';
	if(parseInt(cnt2.trim())>0)
	{
		faculty_code1=document.getElementById('faculty_code1').value;
		if(faculty_code1.trim()=='')
		{
			alert('Please Select Second Faculty for Appointment...');
			document.getElementById('faculty_code1').focus();
			return false;
		}
		source2=document.getElementById('source2').value;
		if(source2.trim()=='')
		{
			alert('Please Enter Source');
			document.getElementById('source2').focus();
			return false;
		}
		destination2=document.getElementById('destination2').value;
		if(destination2.trim()=='')
		{
			alert('Please Enter Destination...');
			document.getElementById('destination2').focus();
			return false;
		}
		mydistance2=document.getElementById('mydistance2').value;
		if(mydistance2.trim()=='')
		{
			alert('Please Enter Distance between Source & Destination...');
			document.getElementById('mydistance2').focus();
			return false;
		}
	}
	
	var xhttp = new XMLHttpRequest();
  	xhttp.onreadystatechange = function() 
  	{
	    if (this.readyState == 4 && this.status == 200) 
    	{
	     	document.getElementById("appointt_fac").innerHTML = this.responseText;
			var index=this.responseText.indexOf("Successfully.");
			if(index>0)
			{
				var url=base_url();
    			url=url+'userindex.php?q='+encodeURIComponent(window.btoa('pr_appoint'));
				setTimeout(function ()
					{
						location.assign(url);
					}, 3000);
			}
	    }
  	};
  	xhttp.open("GET", "region/ajax/appoint_facultyforpr_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme))+"&paper_code="+encodeURIComponent(window.btoa(paper_code))+"&same_dist="+encodeURIComponent(window.btoa(same_district))+"&fac_id="+encodeURIComponent(window.btoa(faculty_code))+"&cnt1="+encodeURIComponent(window.btoa(cnt1))+"&cnt2="+encodeURIComponent(window.btoa(cnt2))+"&fac_id1="+encodeURIComponent(window.btoa(faculty_code1))+"&source1="+encodeURIComponent(window.btoa(source1))+"&destination1="+encodeURIComponent(window.btoa(destination1))+"&mydistance1="+encodeURIComponent(window.btoa(mydistance1))+"&source2="+encodeURIComponent(window.btoa(source2))+"&destination2="+encodeURIComponent(window.btoa(destination2))+"&mydistance2="+encodeURIComponent(window.btoa(mydistance2)), true);
  	xhttp.send();
}

function get_source_desti1(id)
{
	var dest_inst_id=document.getElementById('inst').value;
	if(id==1)
	{
		var source_faculty_id=document.getElementById('faculty_code').value;
	}
	else if(id==3)
	{
		var source_faculty_id=document.getElementById('faculty_code1').value;
	}

	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() 
	{
    	if (this.readyState == 4 && this.status == 200) 
    	{
    		if(id==1)
    		{
    			document.getElementById("distance1").innerHTML = this.responseText;
    		}
    		else if(id==3)
    		{
    			document.getElementById("distance3").innerHTML = this.responseText;
    		}
    	}
    };
	xhttp.open("GET", "region/ajax/get_external1_source_dest_ajax.php?dest="+encodeURIComponent(window.btoa(dest_inst_id))+"&src_fac="+encodeURIComponent(window.btoa(source_faculty_id)), true);
	xhttp.send();
}
</script>
<?php
require_once('functions/get_data.php');
$practical_appointment_master=PR_APPOINT_MASTER;
$uname=$_SESSION[uname];
$region=get_region_id($uname);
?>
<h3 class="panel-title">Practical Exam Appointment</h3><br><br>
	 <div class="row">
  			<div class="col-lg-3">
  					<Select id="region" name="region" class="form-control" onchange="get_district();">
  						<option value="">Select Region</option>
					<?php
						if($region=='1')
						{
					?>
  						<option value="1" selected>Mumbai</option>
					<?php
						}
					else if($region=='2')
						{
					?>
  						<option value="2" selected>Pune</option>
					<?php
						}
					else if($region=='3')
						{
					?>
  						<option value="3" selected>Nagpur</option>
					<?php
						}
					else if($region=='4')
						{
					?>
  						<option value="4" selected>Aurangabad</option>
					<?php
						}
					?>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_district" onchange="get_inst_list();">
  					<Select id="district" name="district" class="form-control">
  						<option value="">Select District</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_inst">
  					<Select id="inst" name="inst" class="form-control" onchange="get_scheme();">
  						<option value="">Select Institute</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_schem">
  					<Select id="scheme" name="scheme" class="form-control" onchange="get_paper_code();">
  						<option value="">Select Scheme</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_paper_details"><br>
  					<Select id="paper_code" name="paper_code" class="form-control">
  						<option value="">Select Paper</option>
  					</Select>
  			</div>
  			<div class="col-lg-3"><br>
  					<Select id="same_district" name="same_district" class="form-control" onchange="get_fac_list();get_count();">
  						<option value="">Select Appointment Option</option>
  						<option value="1">Same District</option>
  						<option value="2">Other District</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_fac_listt"><br>
  					<Select id="faculty_code" name="faculty_code" class="form-control">
  						<option value="">Select External1</option>
					</Select>
  			</div>
			<div class="col-lg-3" id="get_fac_listtt"><br>
  					<Select id="faculty_code1" name="faculty_code1" class="form-control">
  						<option value="">Select External2</option>
					</Select>
  			</div><br>&nbsp;
  			<!-- ----------------------------------Distance Calculations------------------------------ -->
  			<div id="distance1" class="col-lg-12"></div><br>
  			<div id="distance2" class="col-lg-12">
                  	<div class="col-lg-12">
                  		<input type="text" id="source1" name="source1" class="form-control" placeholder="Enter Source for External1">
                	</div>
                	<div class="col-lg-12">
                  		<input type="text" id="destination1" name="destination1" class="form-control" placeholder="Enter Destination for External1">		
                	</div>
                	<div class="col-lg-2">
                  		<input type="text" id="mydistance1" name="mydistance1" class="form-control" placeholder="Enter Distance for External1">		
                	</div>
  			</div><br>&nbsp;
  			<div id="distance3" class="col-lg-12"></div>
  			<div id="distance4" class="col-lg-12">
  					<div class="col-lg-12">
                  		<input type="text" id="source2" name="source2" class="form-control" placeholder="Enter Source for External2">
                	</div>
                	<div class="col-lg-12">
                  		<input type="text" id="destination2" name="destination2" class="form-control" placeholder="Enter Destination for External2">		
                	</div>
                	<div class="col-lg-2">
                  		<input type="text" id="mydistance2" name="mydistance2" class="form-control" placeholder="Enter Distance for External2">		
                	</div>
  			</div>
  			<div id="distance5"></div>
  			<br>
  			<!-- ----------------------------------Distance Calculations------------------------------ -->
  			<div class="col-lg-3"><br>
  					<input type="submit" class="btn btn-primary" value="Clear" onclick="clear_me();">
  			</div>
			<div class="col-lg-6" id="show_cnt">
			&nbsp;
			</div>
			<div class="col-lg-3"><br>
  					<input type="submit" class="btn btn-primary" value="Appoint" 
  					onclick="appoint_faculty();">
  			</div>
  			<div class="col-lg-12" id="appointt_fac"><br>
  			</div>
  	</div>

<?php
//-------------------------------------------------------------------Pagination Limits------------------------------------------------------------------------
$start= base64_decode(urldecode($_GET['start']));
$end= base64_decode(urldecode($_GET['end']));
$factor=10;
if($start=='')
{
    $start=0;
    $end=10;
}
//----------------------------------------------------------------Pagination Limits End----------------------------------------------------------------------
?>

	<div class="table-responsive">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="aqua">
				<th>Sr. No.</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Semester</th>
				<th>Scheme</th>
				<th>Paper Name</th>
				<th>Appointed Faculty1</th>
				<th>Inst Id of Faculty1</th>
				<th>Appointed Faculty2</th>
				<th>Inst Id of Faculty2</th>
			  </tr>
			</thead>
			<tbody>
	<?php
	$query1="select * from $practical_appointment_master where is_appointed='1' order by str_to_date(en_on,'%d/%m/%Y %h:%i:%s') desc limit $start, $end";
	$result1=mysql_query($query1);

	$limquer="select * from $practical_appointment_master where is_appointed='1' order by str_to_date(en_on,'%d/%m/%Y %h:%i:%s') desc";
	$limres=mysql_query($limquer);
	$num_rows=mysql_num_rows($limres);
	$i=$start+1;
	while($row1=mysql_fetch_assoc($result1))
	{
	?>
			<tr>
				<td><?php echo $i++;?></td>
				<td><?php echo $row1[inst_id];?></td>
				<td><?php echo $row1[paper_code];?></td>
				<td><?php echo $row1[year_code];?></td>
				<td><?php echo $row1[master_code];?></td>
				<td><?php echo $row1[paper_name];?></td>
				<td><?php echo $row1[fac_name];?></td>
				<td><?php echo $row1[inst_name];?></td>
				<td><?php echo $row1[fac_name1];?></td>
				<td><?php echo $row1[inst_name1];?></td>
			</tr>
	<?php
	}
	?>
			</tbody>
	</table><br>
</div> 
<!-- -----------------------------------------------------------------------Pagination Buttons---------------------------------------------------------------- -->
<div class="row">
  	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_first('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">First</button>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_prev('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Previous</button>
	</div>
	<div class="col-lg-4">
		<center>Page: <?php echo ($start+$end)/$factor; ?> of <?php echo ceil(($num_rows)/$factor);?></center>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_next('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Next</button>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_last('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Last</button>
	</div>
</div>
<!-- -----------------------------------------------------------------------End of Pagination Buttons---------------------------------------------------------->
<script>
//-------------------------------------------------Location Autocompleate GOOGLE API--------------------------------------------------------------------
function initMap() 
	  {
        var input = document.getElementById('source1');
		var input1 = document.getElementById('destination1');
		
        var autocomplete = new google.maps.places.Autocomplete(input);
		var autocomplete1 = new google.maps.places.Autocomplete(input1);

        autocomplete.addListener('place_changed', function() 
		{
          var place = autocomplete.getPlace();
          if (!place.geometry) {
            // User entered the name of a Place that was not suggested and
            // pressed the Enter key, or the Place Details request failed.
            window.alert("No details available for input: '" + place.name + "'");
            return;
          }
		
          var address = '';
          if (place.address_components) {
            address = [
              (place.address_components[0] && place.address_components[0].short_name || ''),
              (place.address_components[1] && place.address_components[1].short_name || ''),
              (place.address_components[2] && place.address_components[2].short_name || '')
            ].join(' ');
          }
        });


		autocomplete1.addListener('place_changed', function() 
		{
			var place1 = autocomplete1.getPlace();
			
			if (!place1.geometry) {
				// User entered the name of a Place that was not suggested and
				// pressed the Enter key, or the Place Details request failed.
				window.alert("No details available for input: '" + place1.name + "'");
				return;
			  }
		   
			var address1 = '';
			  if (place1.address_components) {
				address1 = [
				  (place1.address_components[0] && place1.address_components[0].short_name || ''),
				  (place1.address_components[1] && place1.address_components[1].short_name || ''),
				  (place1.address_components[2] && place1.address_components[2].short_name || '')
				].join(' ');
			  }

			  get_distance('1');
        });
		initMap1() ;
      }

function initMap1() 
{
  var input = document.getElementById('source2');
	var input1 = document.getElementById('destination2');
	
  var autocomplete = new google.maps.places.Autocomplete(input);
	var autocomplete1 = new google.maps.places.Autocomplete(input1);

  autocomplete.addListener('place_changed', function() 
	{
    var place = autocomplete.getPlace();
    if (!place.geometry) {
      // User entered the name of a Place that was not suggested and
      // pressed the Enter key, or the Place Details request failed.
      window.alert("No details available for input: '" + place.name + "'");
      return;
    }
	
    var address = '';
    if (place.address_components) {
      address = [
        (place.address_components[0] && place.address_components[0].short_name || ''),
        (place.address_components[1] && place.address_components[1].short_name || ''),
        (place.address_components[2] && place.address_components[2].short_name || '')
      ].join(' ');
    }
  });


	autocomplete1.addListener('place_changed', function() 
	{
		var place1 = autocomplete1.getPlace();
		
		if (!place1.geometry) {
			// User entered the name of a Place that was not suggested and
			// pressed the Enter key, or the Place Details request failed.
			window.alert("No details available for input: '" + place1.name + "'");
			return;
		  }
	   
		var address1 = '';
		  if (place1.address_components) {
			address1 = [
			  (place1.address_components[0] && place1.address_components[0].short_name || ''),
			  (place1.address_components[1] && place1.address_components[1].short_name || ''),
			  (place1.address_components[2] && place1.address_components[2].short_name || '')
			].join(' ');
		  }

		  get_distance('2');
  });
}
//-----------------------------------------------------END----------------------------------------------------------------------------------------------
</script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB4syyPsK_ArYgQqxEgIxcSZhsdn3BhI3A&libraries=places&callback=initMap"
        async defer></script>
