<?php 
require_once('../../db_connect.php');
require_once('../../config.php');
require_once('../function/billing_function.php');

$region         =           trim(base64_decode(urldecode($_GET[region])));
$inst_id        =           trim(base64_decode(urldecode($_GET[inst_id])));
$paper          =           trim(base64_decode(urldecode($_GET[paper])));
$course         =           trim(base64_decode(urldecode($_GET[course])));
$scheme         =           trim(base64_decode(urldecode($_GET[scheme])));
$sem            =           trim(base64_decode(urldecode($_GET[year])));

//-------------------------------------------------------------Calculation of Internal Examiner-----------------------------------------------
$str=internal_examiner_billing($region,$inst_id,$paper,$course,$scheme,$sem);
$internal_arr=explode(':',$str);
//-------------------------------------Get Details from Return Data-----------------------------------------------------------------------------
$internal_arr1=$internal_arr[0];
$internal_arr11=explode('-',$internal_arr1);
$internal_id1=$internal_arr11[0];
$internal_amount1=$internal_arr11[1];
if($internal_id1!=0)
{
?>
<div class="table-responsive" id="pract_internal_rem">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="aqua">
				<th colspan=8><center><FONT COLOR=RED>INTERNAL1</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="aqua">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>Internal1</th>
				<th>Remuneration</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				          echo get_faculty_name($internal_id1);
				    ?>
				</td>
				<td><?php echo $internal_amount1;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}



$internal_arr2=$internal_arr[1];
$internal_arr22=explode('-',$internal_arr2);
$internal_id2=$internal_arr22[0];
$internal_amount2=$internal_arr22[1];
if($internal_id2!=0)
{
?>
<div class="table-responsive" id="pract_internal_rem1">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="aqua">
				<th colspan=8><center><FONT COLOR=RED>INTERNAL2</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="aqua">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>Internal1</th>
				<th>Remuneration</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				          echo get_faculty_name($internal_id2);
				    ?>
				</td>
				<td><?php echo $internal_amount2;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------------
$str1=external_examiner_billing($region,$inst_id,$paper,$course,$scheme,$sem);
$external_arr=explode(':',$str1);
//-------------------------------------Get Details from Return Data-----------------------------------------------------------------------------
$external_arr1=$external_arr[0];
$external_arr11=explode('-',$external_arr1);
$external_id1=$external_arr11[0];
$external_amount1=$external_arr11[1];
$external_ta1=$external_arr11[2];
$external_da1=$external_arr11[3];
if($external_id1!=0)
{
    ?>
<div class="table-responsive" id="pract_internal_rem">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="#fcf3cf">
				<th colspan=10><center><FONT COLOR=RED>EXTERNAL1</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="#fcf3cf">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>External1</th>
				<th>Remuneration</th>
				<th>TA</th>
				<th>DA</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				          echo get_faculty_name($external_id1);
				    ?>
				</td>
				<td><?php echo $external_amount1;?>/-</td>
				<td><?php echo $external_ta1;?>/-</td>
				<td><?php echo $external_da1;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}



$external_arr2=$external_arr[1];
$external_arr22=explode('-',$external_arr2);
$external_id2=$external_arr22[0];
$external_amount2=$external_arr22[1];
$external_ta2=$external_arr22[2];
$external_da2=$external_arr22[3];
if($external_id2!=0)
{
?>
<div class="table-responsive" id="pract_internal_rem1">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="#fcf3cf">
				<th colspan=10><center><FONT COLOR=RED>EXTERNAL2</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="#fcf3cf">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>External1</th>
				<th>Remuneration</th>
				<th>TA</th>
				<th>DA</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				          echo get_faculty_name($external_id2);
				    ?>
				</td>
				<td><?php echo $external_amount2;?>/-</td>
				<td><?php echo $external_ta2;?>/-</td>
				<td><?php echo $external_da2;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}
//----------------------------------------------------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------------------------------------------------------------------
$str2=pract_exam_incharge_billing($region,$inst_id,$paper,$course,$scheme,$sem);
$external_arr2=explode('-',$str2);
//-------------------------------------Get Details from Return Data-----------------------------------------------------------------------------
$exam_incharge=$external_arr2[0];
$exam_incharge_remuneration1=$external_arr2[1];
$exam_incharge2=$external_arr2[2];
$exam_incharge_remuneration2=$external_arr2[3];

if($exam_incharge!=0)
{
?>
<div class="table-responsive" id="pract_incharge_rem1">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="#fcf3cf">
				<th colspan=10><center><FONT COLOR=RED>Practical Exam Incharge1</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="#fcf3cf">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>Exam Incharge1</th>
				<th>Remuneration</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				echo get_faculty_name($exam_incharge);
				    ?>
				</td>
				<td><?php echo $exam_incharge_remuneration1;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}
if($exam_incharge2!=0)
{
?>
<div class="table-responsive" id="pract_incharge_rem2">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="#fcf3cf">
				<th colspan=10><center><FONT COLOR=RED>Practical Exam Incharge2</FONT> Remuneration External Practical</center></th>
			</tr>
			  <tr bgcolor="#fcf3cf">
				<th>Region</th>
				<th>Inst Id</th>
				<th>Paper Code</th>
				<th>Course Code</th>
				<th>Scheme</th>
				<th>Semester</th>
				<th>Exam Incharge1</th>
				<th>Remuneration</th>
			</tr>
		   </thead>
		   <tbody>
			  <tr>
				<td><?php echo get_region_name($region);?></td>
				<td><?php echo $inst_id;?></td>
				<td><?php echo $paper;?></td>
				<td><?php echo get_course_name($course);?></td>
				<td><?php echo $scheme;?></td>
				<td><?php echo $sem;?></td>
				<td><?php 
				echo get_faculty_name($exam_incharge2);
				    ?>
				</td>
				<td><?php echo $exam_incharge_remuneration2;?>/-</td>
			</tr>
		   </tbody>
	</table>
</div>
<?php     
}
?>