<script>
$( document ).ready(function() {
    get_district();
});
//------------------------------------------------Functions for pagination---------------------------------------------------------------------------------------------------------
function base_url(segment)
{
   // get the segments
   pathArray = window.location.pathname.split( '/' );
   // find where the segment is located
   indexOfSegment = pathArray.indexOf(segment);
   // make base_url be the origin plus the path to the segment
   return window.location.origin + pathArray.slice(0,indexOfSegment).join('/') + '/';
}
function get_next(start,end,limit,factor)
{
	
	if((parseInt(start)+parseInt(end))<=parseInt(limit))
	{
    	start=parseInt(start)+parseInt(factor);
    	end=parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('bill_gen'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
	}
}

function get_last(start,end,limit,factor)
{
    	end=parseInt(factor);
		var divi;
		divi=parseInt(parseInt(limit)/parseInt(factor));
		if(!(parseInt(limit)% parseInt(factor)))
		{
			divi=divi-1;
		}
		start=parseInt(divi)*parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('bill_gen'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
}

function get_first(start,end,limit,factor)
{
    	end=parseInt(factor);
		start=0;
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('bill_gen'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
}

function get_prev(start,end,limit,factor)
{
	if(parseInt(start)>0)
	{
    	start=parseInt(start)-parseInt(factor);
    	end=parseInt(factor);
    	var url=base_url();
    	url=url+'userindex.php?q='+encodeURIComponent(window.btoa('bill_gen'))+'&start='+encodeURIComponent(window.btoa(start))+'&end='+encodeURIComponent(window.btoa(end));
    	location.assign(url);
	}
	else
	{
		return false;
	}
}
//------------------------------------------------------------------End of Pagination Functions--------------------------------------------------------------
function get_district()
{
		var region=document.getElementById('region').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_district").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_district_ajax.php?region="+encodeURIComponent(window.btoa(region)), true);
	  	xhttp.send();
}
function get_inst_list()
{
		var region=document.getElementById('region').value;
		var district=document.getElementById('district').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_inst").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_inst_list_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district)), true);
	  	xhttp.send();
}
function get_scheme()
{
	var inst_id=document.getElementById('inst').value;
	var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_schem").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_scheme_list_ajax.php?inst_id="+encodeURIComponent(window.btoa(inst_id)), true);
	  	xhttp.send();
}

function get_paper_code()
{
		var region=document.getElementById('region').value;
		var district=document.getElementById('district').value;
		var inst_id=document.getElementById('inst').value;
		var scheme=document.getElementById('scheme').value;
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function() 
	  	{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	     	document.getElementById("get_paper_details").innerHTML = this.responseText;
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/get_paper_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme)), true);
	  	xhttp.send();
}

function get_pract_list()
{
	var region=document.getElementById('region').value;
	var district=document.getElementById('district').value;
	var inst_id=document.getElementById('inst').value;
	var scheme=document.getElementById('scheme').value;
	var paper=document.getElementById('paper_code').value;
	var xhttp = new XMLHttpRequest();
  	xhttp.onreadystatechange = function() 
  	{
	    if (this.readyState == 4 && this.status == 200) 
    	{
	     	document.getElementById("pract_list").innerHTML = this.responseText;
	    }
  	};
  	xhttp.open("GET", "region/ajax/get_pract_list_ajax.php?region="+encodeURIComponent(window.btoa(region))+"&district="+encodeURIComponent(window.btoa(district))+"&inst_id="+encodeURIComponent(window.btoa(inst_id))+"&scheme="+encodeURIComponent(window.btoa(scheme)), true);
  	xhttp.send();
}

function clear_me()
{
	var url=base_url();
    url=url+'userindex.php?q='+encodeURIComponent(window.btoa('bill_gen'));
	location.assign(url);				
}

function gen_bill(region,inst_id,paper_code,course_code,year_code,scheme)
{
		region=encodeURIComponent(window.btoa(region));
		inst_id=encodeURIComponent(window.btoa(inst_id));
		paper_code=encodeURIComponent(window.btoa(paper_code));
		course_code=encodeURIComponent(window.btoa(course_code));
		year_code=encodeURIComponent(window.btoa(year_code));
		scheme=encodeURIComponent(window.btoa(scheme));
		
		var xhttp = new XMLHttpRequest();
	  	xhttp.onreadystatechange = function()
		{
    	    if (this.readyState == 4 && this.status == 200) 
        	{
    	    	document.getElementById("pract_bill_modal").innerHTML = 'Loading Please Wait...';
    	     	document.getElementById("pract_bill_modal").innerHTML = this.responseText;
    	    }
    	    else
    	    {
    	    	document.getElementById("pract_bill_modal").innerHTML="<center><img src='assets/img/autoloader.gif' /></center>";
    	    }
	  	};
	  	xhttp.open("GET", "region/ajax/gen_pract_bill_ajax.php?region="+region+"&inst_id="+inst_id+"&paper="+paper_code+"&course="+course_code+"&year="+year_code+"&scheme="+scheme, true);
	  	xhttp.send();
}
</script>
<?php 
require_once('functions/get_data.php');
$practical_appointment_master=PR_APPOINT_MASTER;
$faculty_table=FACULTY_TABLE;
$uname=$_SESSION[uname];
$region=get_region_id($uname);
?>
<h3 class="panel-title">Bill Generation</h3><br><br>

<div class="row">
  			<div class="col-lg-3">
  					<Select id="region" name="region" class="form-control" onchange="get_district();">
  						<option value="">Select Region</option>
					<?php
						if($region=='1')
						{
					?>
  						<option value="1" selected>Mumbai</option>
					<?php
						}
					else if($region=='2')
						{
					?>
  						<option value="2" selected>Pune</option>
					<?php
						}
					else if($region=='3')
						{
					?>
  						<option value="3" selected>Nagpur</option>
					<?php
						}
					else if($region=='4')
						{
					?>
  						<option value="4" selected>Aurangabad</option>
					<?php
						}
					?>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_district" onchange="get_inst_list();">
  					<Select id="district" name="district" class="form-control">
  						<option value="">Select District</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_inst">
  					<Select id="inst" name="inst" class="form-control" onchange="get_scheme();">
  						<option value="">Select Institute</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_schem">
  					<Select id="scheme" name="scheme" class="form-control" onchange="get_paper_code();">
  						<option value="">Select Scheme</option>
  					</Select>
  			</div>
  			<div class="col-lg-3" id="get_paper_details"><br>
  					<Select id="paper_code" name="paper_code" class="form-control">
  						<option value="">Select Paper</option>
  					</Select>
  			</div>
  			<div class="col-lg-3"><br>
  					<input type="submit" class="btn btn-primary" value="Get List" onclick="get_pract_list();">
  			</div>
  			<div class="col-lg-3"><br>
  					<input type="submit" class="btn btn-primary" value="Clear" onclick="clear_me();">
  			</div>
 </div>
 <br>
 <?php
//-------------------------------------------------------------------Pagination Limits------------------------------------------------------------------------
$start= base64_decode(urldecode($_GET['start']));
$end= base64_decode(urldecode($_GET['end']));
$factor=5;
if($start=='')
{
    $start=0;
    $end=5;
}
//----------------------------------------------------------------Pagination Limits End----------------------------------------------------------------------
?>
 <div class="table-responsive" id="pract_list">
	  <table class="table table-bordered">
			<thead>
			  <tr bgcolor="aqua">
				<th>Sr.<br>No.</th>
				<th>Inst Id</th>
				<th>P Code</th>
				<th>Sem</th>
				<th>Scheme</th>
				<th>P Name</th>
				<th>External1</th>
				<th>External2</th>
				<th>Internal1</th>
				<th>Internal2</th>
				<th>View Bill</th>
			  </tr>
			</thead>
			<tbody>
<?php
$inst_table=INST_TABLE_BAK;
	$query1="select * from $practical_appointment_master where is_appointed='1' and internal_appointed='1' order by str_to_date(en_on,'%d/%m/%Y %h:%i:%s') desc limit $start, $end";
	$result1=mysql_query($query1);
	
	$limquer="select * from $practical_appointment_master where is_appointed='1' and internal_appointed='1' order by str_to_date(en_on,'%d/%m/%Y %h:%i:%s') desc";
	$limres=mysql_query($limquer);
	$num_rows=mysql_num_rows($limres);
	$i=$start+1;
	while($row1=mysql_fetch_assoc($result1))
	{
	    ?>
			<tr>
				<td><?php echo $i++;?></td>
				<td><?php echo $row1[inst_id];
				$xx="select name,idistrict,taluka from $inst_table where inst_id='$row1[inst_id]'";
				$yy=mysql_query($xx);
				$zz=mysql_fetch_assoc($yy);
				$aa=rtrim(strtoupper(stripslashes(stripslashes($zz[name].', '.$zz[idistrict].', '.$zz[taluka]))),', ');
				?></td>
				<td><?php echo $row1[paper_code];?></td>
				<td><?php echo $row1[year_code];?></td>
				<td><?php echo $row1[master_code];?></td>
				<td><?php echo str_replace(' ','<br>',$row1[paper_name]);?></td>
				<td><?php echo '<b>'.$row1[fac_name].'</b><br>('.$row1[inst_name].'- ID -<b>'.$row1[inst_id_appoint].'</b>)';?></td>
				<td>
				<?php 
				if(trim($row1[fac_name1])!='')
				{
				    echo '<b>'.$row1[fac_name1].'</b><br>('.$row1[inst_name1].'- ID -<b>'.$row1[inst_id_appoint1].'</b>)';
				}
				?>
				</td>
				<td>
					<?php 
				        $x="select inst_id,name from $faculty_table where faculty_prof_id='$row1[internal1]'";
				        $y=mysql_query($x);
				        $z=mysql_fetch_assoc($y);
				        echo '<b>'.$z[name].'</b><br>'.$aa.'- ID -<b>'.$z[inst_id].'</b>';
				    ?>
				</td>
				<td>
				<?php 
				if(trim($row1[fac_name1])!='')
				{
				    $x1="select inst_id,name from $faculty_table where faculty_prof_id='$row1[internal2]'";
				    $y1=mysql_query($x1);
				    $z1=mysql_fetch_assoc($y1);
				    echo '<b>'.$z1[name].'</b><br>'.$aa.'- ID -<b>'.$z1[inst_id].'</b>';
				}
				?>
				</td>
				<td><a href="javascript:void(0);" data-toggle="modal" data-target="#modal_pract_bill" onclick="gen_bill('<?php echo $row1[region];?>','<?php echo $row1[inst_id];?>','<?php echo $row1[paper_code];?>','<?php echo $row1[course_code];?>','<?php echo $row1[year_code];?>','<?php echo $row1[master_code];?>');">View Bill</a></td>
			</tr>
	<?php
	}
	?>
			</tbody>
	</table><br>
	<!-- -----------------------------------------------------------------------Pagination Buttons---------------------------------------------------------------- -->
<div class="row">
  	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_first('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">First</button>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_prev('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Previous</button>
	</div>
	<div class="col-lg-4">
		<center>Page: <?php echo ($start+$end)/$factor; ?> of <?php echo ceil(($num_rows)/$factor);?></center>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_next('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Next</button>
	</div>
	<div class="col-lg-2">
		<button class="navbar-btn nav-button wow fadeInRight" onclick="get_last('<?php echo $start;?>','<?php echo $end;?>','<?php echo $num_rows;?>','<?php echo $factor;?>');" data-wow-delay="0.5s">Last</button>
	</div>
</div>
<!-- -----------------------------------------------------------------------End of Pagination Buttons---------------------------------------------------------->
</div> 